# fdf_next_field_name

(PHP 4, PHP 5, PHP 7)

fdf_next_field_name — Get the next field name

### Description

fdf_next_field_name ( resource `$fdf_document` [, string `$fieldname` ] ) : string

Gets the name of the field after the given field. This name can be used with several functions.

### Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create(), fdf_open() or fdf_open_string().

`fieldname`

  Name of the FDF field, as a string. If not given, the first field will be assumed.

### Return Values

Returns the field name as a string.

### Examples

Example #1 Detecting all fieldnames in a FDF

`<?php
$fdf = fdf_open($HTTP_FDF_DATA);
for ($field = fdf_next_field_name($fdf);
$field != "";
$field = fdf_next_field_name($fdf, $field)) {
echo "field: $field\n";
}
?>`

### See Also

- fdf_get_value() - Get the value of a field